> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/zh-hant/api-documentation/address-screening/batch-screen-addresses.md).

# 批次篩查地址

批次地址篩查會以非同步任務的形式執行。系統會為每個地址產生唯一的 Task ID，使用者可透過任務 API 擷取詳細結果。

## 筛查多个地址

> 提交批量地址筛查任务并返回任务 ID。

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"地址筛查","description":"地址筛查与查询 API。"}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"生产环境服务器"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"AddressesScreen":{"type":"object","required":["addresses"],"properties":{"addresses":{"type":"array","minItems":1,"maxItems":100,"description":"待筛查地址列表。每次请求可传 1 到 100 个地址。","items":{"$ref":"#/components/schemas/AddressScreen"}}}},"AddressScreen":{"type":"object","required":["address","chainId"],"properties":{"address":{"type":"string","description":"待筛查地址。"},"chainId":{"type":"integer","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)。"},"includeDetails":{"type":"boolean","deprecated":true,"description":"已废弃。是否在每条告警中包含旧版 riskDetail 字段。默认为 false。"}}},"ErrorCodeMsg":{"properties":{"code":{"type":"integer","description":"业务状态码。`0` 表示请求成功，其它值表示失败。业务错误以 HTTP 200 加非 0 `code` 的形式返回，因此收到 200 并不代表成功，必须检查该字段；鉴权失败与限流则返回非 200 的 HTTP 状态码。两者都需要判断。全部错误码及对应信息见 [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)。"},"msg":{"type":"string","description":"`code` 为 0 时返回 `\"Success\"`，否则返回该错误码对应的错误信息。"}}},"AddressScreenTasksResult":{"type":"object","properties":{"taskIds":{"type":"array","description":"任务 ID 列表。","items":{"type":"string","description":"任务唯一标识。"}}}}}},"paths":{"/addresses/screen":{"post":{"tags":["地址筛查"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressesScreen"}}}},"responses":{"200":{"description":"响应。即使 HTTP 状态码为 200，`code` 非 0 也表示业务错误。","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/code","description":"该请求的状态码。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)。"},"msg":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/msg","description":"该请求的 message。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/error-messages)。"},"data":{"$ref":"#/components/schemas/AddressScreenTasksResult"}}}}}},"401":{"description":"鉴权失败。`API-Key` 请求头缺失或无效。"},"429":{"description":"超出调用频率限制。请降低请求频率后重试。"}},"description":"提交批量地址筛查任务并返回任务 ID。","summary":"筛查多个地址"}}}}
```
